/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005-2011, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


package org.jboss.messaging.core.impl.postoffice;

/**
 * A QuarantinedNode
 *
 * @author howard
 * 
 * Created Jan 18, 2011 11:02:55 AM
 *
 *
 */
public class QuarantinedNode
{
   private Integer nodeID;
   private Integer failoverID; //it must be an active node at the time of being quarantined.
   private boolean crashed;

   public QuarantinedNode(Integer leftNodeID, Integer failoverID, boolean crashed)
   {
      nodeID = leftNodeID;
      this.failoverID = failoverID;
      this.crashed = crashed;
   }
   
   public String toString()
   {
      return "Quarantined Node[" + nodeID + "], failover[" + failoverID + "], crashed[" + crashed + "]";
   }

   public Integer getFailover()
   {
      return failoverID;
   }

   public void setFailover(Integer newFailover)
   {
      this.failoverID = newFailover;
   }

   public boolean shouldFailover()
   {
      return crashed;
   }

}
